if not regen then
	RegisterScript("lib/Lua/passive_health_regen.lua", 2, "lib/units/beings/player/states/playerstandard")
	regen = true
end

if RequiredScript == "lib/units/beings/player/states/playerstandard" then
	local old_update = PlayerStandard.update
	function PlayerStandard:update(t, dt)
		if Global.game_settings.single_player then
			local damage = self._unit:character_damage()
			if damage then
				if not damage:full_health() then
					if not damage:need_revive() then
						if not self._regen_t or self._regen_t <= TimerManager:game():time() then
							self._regen_t = TimerManager:game():time() + 5
							local regen_per = damage:_max_health() * 0.03
							local regen_val = damage._health + regen_per
							local new_health = math.min(regen_val, damage:_max_health())
							damage:set_health(new_health)
						end
					end
				end
			end
		end
		return old_update(self, t, dt)
	end
end